FieldConvertors.h File Reference
`#include "FieldTypes.h"`
`#include "Exceptions.h"`
`#include "Utility.h"`
`#include "config-all.h"`
`#include <string>`
`#include <sstream>`
`#include <iomanip>`
`#include <cstdio>`
`#include <limits>`
`#include <iterator>`
Include dependency graph for FieldConvertors.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | FIX::EmptyConvertor
| Empty converter is a no-op. More...
struct | FIX::IntConvertor
| Converts integer to/from a string. More...
struct | FIX::CheckSumConvertor
| Converts checksum to/from a string. More...
struct | FIX::DoubleConvertor
| Converts double to/from a string. More...
struct | FIX::CharConvertor
| Converts character to/from a string. More...
struct | FIX::BoolConvertor
| Converts boolean to/from a string. More...
struct | FIX::UtcTimeStampConvertor
| Converts a UtcTimeStamp to/from a string. More...
struct | FIX::UtcTimeOnlyConvertor
| Converts a UtcTimeOnly to/from a string. More...
struct | FIX::UtcDateConvertor
| Converts a UtcDate to/from a string. More...

## Namespaces

| FIX

## Macros

#define | UNSIGNED_VALUE_OF(x) ( ( x < 0 ) ? -unsigned_int(x) : unsigned_int(x) )
#define | IS_SPACE(x) ( x == ' ' )
#define | IS_DIGIT(x) ( unsigned_int( x - '0' ) < 10 )

## Typedefs

typedef int | FIX::signed_int
typedef unsigned int | FIX::unsigned_int
typedef EmptyConvertor | FIX::StringConvertor
typedef UtcDateConvertor | FIX::UtcDateOnlyConvertor
typedef StringConvertor | FIX::STRING_CONVERTOR
typedef CharConvertor | FIX::CHAR_CONVERTOR
typedef DoubleConvertor | FIX::PRICE_CONVERTOR
typedef IntConvertor | FIX::INT_CONVERTOR
typedef DoubleConvertor | FIX::AMT_CONVERTOR
typedef DoubleConvertor | FIX::QTY_CONVERTOR
typedef StringConvertor | FIX::CURRENCY_CONVERTOR
typedef StringConvertor | FIX::MULTIPLEVALUESTRING_CONVERTOR
typedef StringConvertor | FIX::MULTIPLESTRINGVALUE_CONVERTOR
typedef StringConvertor | FIX::MULTIPLECHARVALUE_CONVERTOR
typedef StringConvertor | FIX::EXCHANGE_CONVERTOR
typedef UtcTimeStampConvertor | FIX::UTCTIMESTAMP_CONVERTOR
typedef BoolConvertor | FIX::BOOLEAN_CONVERTOR
typedef StringConvertor | FIX::LOCALMKTDATE_CONVERTOR
typedef StringConvertor | FIX::DATA_CONVERTOR
typedef DoubleConvertor | FIX::FLOAT_CONVERTOR
typedef DoubleConvertor | FIX::PRICEOFFSET_CONVERTOR
typedef StringConvertor | FIX::MONTHYEAR_CONVERTOR
typedef StringConvertor | FIX::DAYOFMONTH_CONVERTOR
typedef UtcDateConvertor | FIX::UTCDATE_CONVERTOR
typedef UtcTimeOnlyConvertor | FIX::UTCTIMEONLY_CONVERTOR
typedef IntConvertor | FIX::NUMINGROUP_CONVERTOR
typedef DoubleConvertor | FIX::PERCENTAGE_CONVERTOR
typedef IntConvertor | FIX::SEQNUM_CONVERTOR
typedef IntConvertor | FIX::LENGTH_CONVERTOR
typedef StringConvertor | FIX::COUNTRY_CONVERTOR
typedef StringConvertor | FIX::TZTIMEONLY_CONVERTOR
typedef StringConvertor | FIX::TZTIMESTAMP_CONVERTOR
typedef StringConvertor | FIX::XMLDATA_CONVERTOR
typedef StringConvertor | FIX::LANGUAGE_CONVERTOR
typedef CheckSumConvertor | FIX::CHECKSUM_CONVERTOR

## Functions

int | FIX::number_of_symbols_in (const signed_int value)
char * | FIX::integer_to_string (char *buf, const size_t len, signed_int t)
char * | FIX::integer_to_string_padded (char *buf, const size_t len, signed_int t, const char paddingChar='0')

## Variables

static const char | FIX::digit_pairs [201]

## Macro Definition Documentation

## IS_DIGIT

#define IS_DIGIT | ( |  | x | ) | ( unsigned_int( x - '0' ) < 10 )

Definition at line 49 of file FieldConvertors.h.

## IS_SPACE

#define IS_SPACE | ( |  | x | ) | ( x == ' ' )

Definition at line 48 of file FieldConvertors.h.

## UNSIGNED_VALUE_OF

#define UNSIGNED_VALUE_OF | ( |  | x | ) | ( ( x < 0 ) ? -unsigned_int(x) : unsigned_int(x) )

Definition at line 46 of file FieldConvertors.h.